QGIS Application - Bug report #17859

Qgis 2.18.15 still crashes when trying to use Gdal ReadAsArray() function in an script

2018-01-15 07:51 PM - Fernando Luis Sanchez

Status: Closed

Priority: High

Assignee: Jurgen Fischer
Category: Windows Package

Affected QGIS version:2.18.15

Operating System: Windows 7 Professional (64 bits)
Pull Request or Patch supplied:

Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 25754

Description

This issue (minidump crash) seems to be fix when using Python console, but it still happends to me when trying to execute and script.

The function is as simple as:

def transformaRasterEnArray(banda):
matriz=banda.ReadAsArray()
return matriz

| have delete and reinstalled QGis v. 2.14 and v.2.18.11 and v.2.1815 from my computer (Windows 7 64bits platform) several times, both
from ggis.org and form OSGeo4W and it always cash when executing the shown function.

Any idea?

Thank you for your attention

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-11 12:24 AM - Nyall Dawson
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
